[SM-Commit] GIT changes to master grimoire by Eric Sandall (b315a850f59c7a7394fcde3ae9d4b8290bd298e7)

Eric Sandall eric at sandall.us
Tue Oct 12 13:59:23 EDT 2010


Quoting Ladislav Hagara <ladislav.hagara at unob.cz>:

>>
>>     All of my machines are on "development" mesalib (7.9) so I missed the
>>     requirement that xorg-server requires 7.8+.
>>
>>     George (p3pilot) caught this:
>>     	configure: error: Package requirements (glproto >= 1.4.10 dri  
>> >= 7.8.0) were not met:
>>     	Requested 'dri >= 7.8.0' but version of dri is 7.5.2
>>
>>     The "feature" branch is at 7.7 and I believe we should only be depending
>>     on "stable" branches for our packages, especially something as important
>>     as xorg-server.
>>
>>     Sorry for all those whom've already updated to xorg-server 1.9.0. Know
>>     that downgrading to 1.8.1 worked fine here when I was testing it (still
>>     with mesalib 7.9 ;)).
>>
>
>
> We only need to update stable branches.
>
> Imho, we should have mesalib 7.8.2 as stable. I updated mesalib to this
> version on Jun 17 and really no problems since then.
>
> Even current version ftp://ftp.freedesktop.org/pub/mesa/current/ links
> to 7.8.2.
>
> I don't understand ruskie who always prefer only 7.5 and claims only
> this one is stable. spirtbrat had to revert his updates.
>
> http://www.gentoo-portage.com/media-libs/mesa also shows 7.8.2

I believe ruskie prefers the X11/Mesa updates to be done when X11 does  
an official release of the full package list (e.g. all of the packages  
at versions x, y, ... comprise X.org 7.9, including Mesa a.b.c).

-sandalle


-- 
Eric Sandall                     |  Source Mage GNU/Linux Developer
eric at sandall.us PGP: 0xA8EFDD61  |  http://www.sourcemage.org/
http://eric.sandall.us/          |  http://counter.li.org/  #196285



More information about the SM-Commit mailing list